package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 38.查询无系列NFT列表 GET请求方式
 * @class: AddressWithoutSeriesListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:49
 */
@Data
public class Nft038AddressWithoutSeriesListReq implements Serializable {
    /**
     * 账户地址
     */
    private String addr;
    /**
     * 查询偏移量，从0开始，和mysql一个语义
     */
    //@Null
    private Long offset;
    /**
     * 最大1000
     */
    private Long limit;
    private static final Nft038AddressWithoutSeriesListReq obj = new Nft038AddressWithoutSeriesListReq();
    private static final long serialVersionUID = -1442883949367764359L;

    public static Nft038AddressWithoutSeriesListReq getNew() {
        try {
            return (Nft038AddressWithoutSeriesListReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft038AddressWithoutSeriesListReq();
        }
    }
}
